Summary: An X Window System kernel parameter monitoring tool.
Name: xsysinfo
Version: 1.7
Release: 1
Copyright: MIT
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/system/status/xstatus/xsysinfo-%{version}.tar.gz
BuildRoot: /var/tmp/xsysinfo-root

%description
Xsysinfo is a graphic kernel monitoring tool for the X Window System.
Xsysinfo displays vertical bars for certain kernel parameters: CPU
load average, CPU load, memory and swap sizes.

Install the xsysinfo package if you'd like to use a graphical kernel
monitoring tool.

%prep
%setup -q
make clean

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

make DESTDIR=$RPM_BUILD_ROOT install

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xsysinfo <<EOF
xsysinfo name "xsysinfo"
xsysinfo description "System Information"
xsysinfo group Administration
xsysinfo exec "xsysinfo &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/xsysinfo
%config /usr/X11R6/lib/X11/app-defaults/XSysinfo
%config /usr/X11R6/lib/X11/app-defaults/XSysinfo-color
%config /etc/X11/wmconfig/xsysinfo

%changelog
* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7 with SMP support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
